Skip to main content

UpdateEnumMapping

Modifies the enumeration mapping for a specified column in a workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of manually calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

RAM authorization

The following table describes the authorization information for this API. You can use the Action element in a RAM policy statement to grant a RAM user or RAM role the permission to call this API. Details are as follows:
  • Action: the specific permission point.
  • Access level: the access level of each action. Valid values: Write, Read, or List.
  • Resource type: the resource types supported for authorization in the action. Details are as follows:
    • For required resource types, an asterisk (*) is added in front.
    • For actions that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: other permissions required to successfully perform the operation. The caller must also have the permissions of the dependent actions for the operation to succeed.
ActionAccess levelResource typeCondition keyDependent action
dataanalysisgbi:UpdateEnumMappingnone
*All Resources
*
    None
None

Request syntax

POST /gbi/update/mapping HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for the current request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

tableIdKeystringYes

The unique identifier ID of the data table.

table-AAAAAAAAFQBwSLJkUj4CYg
columnIdKeystringYes

The unique identifier ID of the data column.

column-AAAAAAAAh6cWOUPagYstkg
enumMappingobjectNo

Enumeration value mapping.

arrayNo

A list of enumeration value mapping content.

stringNo

The specific content of the enumeration value mapping.

上海

Response parameters

NameTypeDescriptionExample value
object

Result

dataany

Returned information.

true
errorMsgstring

Error description.

NoAuth
codestring

Error code.

NoAuth
successboolean

true if the API call succeeds, false if the API call fails

true
requestIdstring

Request ID, a unique value for each request, useful for troubleshooting

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified workspace.
401NoResourceAuthBad Request: Resource Auth Error.No permission for the requested resource. Make sure the requested resource belongs to the workspace specified in the current parameters.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.